#Dependencies:
#Python 3.7 32 bit
#PyVisa 1.7
 
import visa
import time # for sleep
import binascii
 
def main():
    rm = visa.ResourceManager()
    instadd = 'USB0::0x0483::0x7540::SPD3XGB4150080::INSTR'
    inst = rm.open_resource(instadd)
    inst.write_termination=''
    print (rm.list_resources())
    time.sleep(0.04)
    inst.write('OUTP CH1,ON')
    time.sleep(2)
    inst.write('OUTP CH1,OFF')
    
if __name__ == '__main__':
    main()
